summaryrefslogtreecommitdiffstats
path: root/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-10-08 10:14:28 +0200
committerHolger Levsen <holger@layer-acht.org>2015-10-08 10:14:28 +0200
commit5b07669f5dfc1599c13c0272cd46b176534aa01b (patch)
treec8bc04ec6f5fb525a9c307259bf2f1f10ee3d6c5 /hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup
parent7601f6751c9eab648ffad7cb0b5ec77722a1e0f0 (diff)
downloadjenkins.debian.net-5b07669f5dfc1599c13c0272cd46b176534aa01b.tar.xz
reproducible: add profitbricks-build5-amd64 and profitbricks-build6-amd64
Diffstat (limited to 'hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup')
-rwxr-xr-xhosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup15
1 files changed, 15 insertions, 0 deletions
diff --git a/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup
new file mode 100755
index 00000000..c60a991c
--- /dev/null
+++ b/hosts/profitbricks-build5-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u /tmp/buildd
+ rmdir /tmp/buildd
+ mv /tmp/disorderfs /tmp/buildd
+ echo " done."
+fi